Subject: bug#69250: Chromebook issue with 'report-emacs-bug'.

From: Robert Boyer <[email-masked]>
Date: Mon, 19 Feb 2024 15:01:49 -0600

> I have no experience with Chromebooks.

I am willing to send you $100 in cash, if you wish, if you buy a
Chromebook, and if you send me a postal address to which to send the $100.
In Austin, I had good luck with 'Best Buy'.
I am laughing at this!  I wonder if it has ever happened before that a user
has offered to buy a bug reporting service a computer.  Chromebooks can
cost a lot of money, for which one no doubt gets a lot.  But  I bought the
cheapest I could possibly find in order to help make ACL2 available to all
students in the world, who are mainly using Chromebooks.  I have put up on
my working directory

  https://drive.google.com/drive/folders/1UoCT8YaisJBE-deMYJ8n1VE1rNg6K_MW

under ./acl2 the acl2 source, coded by J Moore and Matt Kaufmann, and 16
gigabytes of proofs that ACL2 generates.  Many folks have contributed the
theorems.

Thanks so much.  I very, very much want to get RMAIL working on my
Chromebook.

Tell me what to try next.

Bob

On Mon, Feb 19, 2024 at 2:06 PM Philip Kaludercic <[email-masked]>
wrote:

> Robert Boyer <[email-masked]> writes:
>
> > Dear Philip,
> >
> >> Have you configured anything regarding email in Emacs?
> >
> > No sir, nothing.  Can I help try something?
>
> I have this in my init.el, perhaps it could give you some hints:
>
> (setopt user-mail-address "[email-masked]"
>         send-mail-function #'smtpmail-send-it
>         smtpmail-smtp-server "posteo.de"
>         smtpmail-stream-type 'starttls
>         smtpmail-smtp-service 587)
>
> >
> > Do not underestimate how dumb I am.
> >
> > It is my 'feeling' that on my $100 Lenovo Chromebook, with its utterly
> > superb Emacs,
> > RMAIL cannot send email to anyone I can imagine sending it to.  Which is
> > why I have so chauvinistically suggested 'made in China', e.g., Lenovo,
> may
> > have something to do with the matter!  But that is another of my sick
> jokes.
> >
> > I used RMAIL as my only emailer for decades, but switched to gmail
> because
> > RMAIL was losing on 'attachments'.  I now love gmail.  It is one part of
> > the proof that Google is the greatest company that has ever existed.
> gmail
> > is free.  space seems unlimited. I am so insignificant that I do not
> give a
> > damn whether Google looks at my mail or not. My lifelong email motto is:
> > when sending email, always imagine that it is cced to letters at NYT.
> > Heavens knows that spooks look at all email, unless one uses 'signal ' or
> > something like that.  In Europe, the government is suing signal to force
> > them to change their ultra secret ways.  I have tried to use 'signal' and
> > enjoyed it, but am now scared to use it any more; don't want to get sued.
> >
> > Have you guys tried RMAIL on Chromebooks?  Only costs $100 to buy one.
> > There are a huge number of Chromebooks in the world, and one can get, and
> > enjoy Emacs, with a mere one line command 'sudo apt-get install emacs',
> > after one has installed Linux, which of course must always be called 'Gnu
> > Linux', or you might rightly get email from rms.  To my astonishment, the
> > installation of Linux was about the easiest thing I could imagine.
>
> I have no experience with Chromebooks.
>
> > With the highest imaginable love of Emacs,
> >
> > Bob
> >
> > On Mon, Feb 19, 2024 at 8:38 AM Philip Kaludercic <[email-masked]>
> > wrote:
> >
> >> Robert Boyer <[email-masked]> writes:
> >>
> >> >> Sounds like some problem with your email setup.
> >> >
> >> > I am sure you are right.
> >> >
> >> >  However, I do not have the slightest idea what you are talking about.
> >>
> >> Have you configured anything regarding email in Emacs?
> >>
>

-- 
Anything I seem to state should be taken as a question.  I am at least 77
and feeble.